InterestResultPolicy (Apache Geode 1.15.4)

org.apache.geode.cache

## Class InterestResultPolicy

- java.lang.Object
- - org.apache.geode.cache.InterestResultPolicy

- All Implemented Interfaces:
    Serializable

      public class InterestResultPolicy
      extends Object
      implements Serializable

  Class `InterestResultPolicy` is an enumerated type for a register interest result. The result of a call to Region.registerInterest can be the keys and current values, just the keys or nothing.
  Since:
    GemFire 4.2.3
  See Also:
    `Region.registerInterest(Object)`, `Region.registerInterestRegex(String)`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static InterestResultPolicy` | `DEFAULT` The `InterestResultPolicy` used by default; it is `KEYS_VALUES`.
    `static InterestResultPolicy` | `KEYS`
    `static InterestResultPolicy` | `KEYS_VALUES`
    `static InterestResultPolicy` | `NONE`
    `byte` | `ordinal` The ordinal representing this `InterestResultPolicy`.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InterestResultPolicy(String name, int ordinal)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InterestResultPolicy` | `fromOrdinal(byte ordinal)` Returns the `InterestResultPolicy` represented by specified ordinal
    `byte` | `getOrdinal()` Returns the ordinal value.
    `boolean` | `isDefault()` Returns true if this `InterestResultPolicy` is the default.
    `boolean` | `isKeys()` Returns true if this `InterestResultPolicy` is `KEYS`.
    `boolean` | `isKeysValues()` Returns true if this `InterestResultPolicy` is `KEYS_VALUES`.
    `boolean` | `isNone()` Returns true if this `InterestResultPolicy` is `NONE`.
    `protected Object` | `readResolve()`
    `String` | `toString()` Returns a string representation for this `InterestResultPolicy`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          @Immutable
          public static final InterestResultPolicy NONE

    - #### KEYS

          @Immutable
          public static final InterestResultPolicy KEYS

    - #### KEYS_VALUES

          @Immutable
          public static final InterestResultPolicy KEYS_VALUES

    - #### DEFAULT

          @Immutable
          public static final InterestResultPolicy DEFAULT

      The `InterestResultPolicy` used by default; it is `KEYS_VALUES`.

    - #### ordinal

          public final byte ordinal

      The ordinal representing this `InterestResultPolicy`.

  - ### Constructor Detail

    - #### InterestResultPolicy

          protected InterestResultPolicy(String name,
                                         int ordinal)

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()
                                throws ObjectStreamException

      Throws:
        `ObjectStreamException`

    - #### fromOrdinal

          public static InterestResultPolicy fromOrdinal(byte ordinal)

      Returns the `InterestResultPolicy` represented by specified ordinal
      Parameters:
        `ordinal` - the ordinal representation of an `InterestResultPolicy`
      Returns:
        the `InterestResultPolicy` represented by specified ordinal

    - #### getOrdinal

          public byte getOrdinal()

      Returns the ordinal value.
      Returns:
        the ordinal value
      Since:
        GemFire 5.0

    - #### isNone

          public boolean isNone()

      Returns true if this `InterestResultPolicy` is `NONE`.
      Returns:
        true if this `InterestResultPolicy` is `NONE`.

    - #### isKeys

          public boolean isKeys()

      Returns true if this `InterestResultPolicy` is `KEYS`.
      Returns:
        true if this `InterestResultPolicy` is `KEYS`.

    - #### isKeysValues

          public boolean isKeysValues()

      Returns true if this `InterestResultPolicy` is `KEYS_VALUES`.
      Returns:
        true if this `InterestResultPolicy` is `KEYS_VALUES`.

    - #### isDefault

          public boolean isDefault()

      Returns true if this `InterestResultPolicy` is the default.
      Returns:
        true if this `InterestResultPolicy` is the default.

    - #### toString

          public String toString()

      Returns a string representation for this `InterestResultPolicy`.
      Overrides:
        `toString` in class `Object`
      Returns:
        the name of this data policy.